共用方式為


Global - Get Deleted Web App Snapshots

取得訂閱所有已刪除應用程式的描述。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/deletedSites/{deletedSiteId}/snapshots?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
deletedSiteId
path True

string

已刪除應用程式的數字 ID,例如 12345

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

Snapshot[]

Azure 作業已順利完成。

Other Status Codes

DefaultErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get Deleted Web App Snapshots

範例要求

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/deletedSites/9/snapshots?api-version=2025-05-01

範例回覆

[
  {
    "name": "wussite6",
    "type": "Microsoft.Web/locations/deletedSites",
    "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg1/providers/Microsoft.Web/locations/West US 2/deletedwebapps/wussite6/snapshots/9",
    "properties": {
      "time": "2019-05-09T22:29:05.1337007"
    }
  }
]

定義

名稱 Description
DefaultErrorResponse

App Service 錯誤回應。

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

Snapshot

應用程式的快照。

DefaultErrorResponse

App Service 錯誤回應。

名稱 類型 Description
error

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseError

錯誤模型。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

details

DefaultErrorResponseErrorDetailsItem[]

詳細的錯誤。

innererror

string

偵錯錯誤的詳細資訊。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。

Snapshot

應用程式的快照。

名稱 類型 Description
id

string

資源標識碼。

kind

string

資源種類。

name

string

資源名稱。

properties.time

string

拍攝快照的時間。

type

string

資源類型。